export γh, μ0, ħ, kb, nh2o
#all in SI units
"""
magnetic vacuum permeability
(Newton/(Ampere^2))
"""
const μ0 = 4e-7 * π
"""
gyromagnetic ratio of the hydrogen nucleus (bound in water)
(radians/(second Tesla))
"""
const γh = 267515315.1
"""
reduced Planck's constant (Joule second)
"""
const ħ = 1.0545718e-34
"""
boltzmann constant (Joule/Kelvin)
"""
const kb = 1.38064852e-23
"""
number density of water (m^(-3))
"""
const nh2o = 3.35e28